<%@ Page Language="C#" MasterPageFile="../../Admin.master" CodeFile="ManageSubscriptions.aspx.cs" Inherits="Admin_People_Subscriptions_ManageSubscriptions" Title="Manage Subscriptions"  %>
<%@ Register Assembly="CommerceBuilder.Web" Namespace="CommerceBuilder.Web.UI.WebControls" TagPrefix="cb" %>

<asp:Content ID="Content" ContentPlaceHolderID="MainContent" Runat="Server">
    <div class="pageHeader">
    	<div class="caption">
    		<h1><asp:Localize ID="Caption" runat="server" Text="Subscriptions for '{0}'"></asp:Localize></h1>
    	</div>
    </div>
    <table cellpadding="2" cellspacing="0" class="innerLayout">
       
        <tr>    
            <td align="center">
                <ajax:UpdatePanel ID="SubscriptionAjax" runat="server" UpdateMode="Conditional">
                    <ContentTemplate>
                        <div class="section" id="EditPanel" runat="server" visible="false">
                            <div class="header">
                                <h2><asp:Label ID="EditExpirationdate" runat="server" Text="Edit Expiration Date"></asp:Label></h2>                    
                            </div>
                            <div class="content">
                                <asp:TextBox ID="ExpirationDate" runat="server" />
                                <asp:ImageButton ID="SaveSubscription" runat="server" SkinID="SaveIcon" CausesValidation="True"  OnClick="SaveSubscription_Click" />
                            </div>
                        </div>                    
                        <cb:SortedGridView ID="SubscriptionGrid" runat="server" AutoGenerateColumns="False" DataKeyNames="SubscriptionId" DataSourceID="SubscriptionDs" 
                            SkinID="PagedList" AllowSorting="False" ShowWhenEmpty="False" Width="100%" AllowPaging="true" PageSize="20" EnableViewState="True" OnRowCommand="SubscriptionGrid_RowCommand" >
                            <Columns>
                                <asp:TemplateField HeaderText="Order">
                                    <itemstyle horizontalalign="Center" />                                     
                                    <itemtemplate>
                                        <asp:HyperLink ID="orderLink" runat="server" NavigateUrl='<%#String.Format("../../Orders/ViewOrder.aspx?OrderNumber={0}&OrderId={1}", Eval("OrderItem.Order.OrderNumber"), Eval("OrderItem.OrderId"))%>' Text='<%# Eval("OrderItem.Order.OrderNumber") %>' SkinID="Link"></asp:HyperLink>
                                    </itemtemplate>
                                </asp:TemplateField>
                                <asp:TemplateField HeaderText="User">
                                    <headerstyle horizontalalign="Left" />
                                    <itemstyle horizontalalign="Left" />
                                    <itemtemplate>
                                        <asp:HyperLink ID="UserLink" runat="server" NavigateUrl='<%# Eval("UserId", "../Users/EditUser.aspx?UserId={0}") %>' Text='<%# Eval("User.UserName") %>' SkinID="Link"></asp:HyperLink>
                                    </itemtemplate>
                                </asp:TemplateField>
                                <asp:TemplateField HeaderText="Active">
                                    <itemstyle horizontalalign="Center" />
                                    <itemtemplate>
                                        <asp:CheckBox ID="Active" runat="server" Checked='<%#Bind("IsActive")%>' Enabled="False" />
                                    </itemtemplate>
                                </asp:TemplateField>
                                <asp:TemplateField>                                    
                                    <itemtemplate>                                                                                
                                        <asp:Label ID="Expiration" runat="server" text='<%#Eval("ExpirationDate", "{0:d}")%>' visible='<%# ((DateTime)Eval("ExpirationDate") != DateTime.MinValue) %>'></asp:Label>
                                        <asp:ImageButton ID="EditButton" runat="server" SkinID="EditIcon" CommandName="UpdateSubscription"  CommandArgument='<%#Eval("SubscriptionId")%>' AlternateText="Edit" visible='<%# ((DateTime)Eval("ExpirationDate") != DateTime.MinValue) %>'/>
                                    </itemtemplate>                                    
                                </asp:TemplateField>                                
                                <asp:TemplateField>
                                    <itemstyle horizontalalign="Center" />
                                    <itemtemplate>
                                        <asp:LinkButton ID="ActivateButton" runat="server" visible='<%#(!(bool)Eval("IsActive"))%>' text="activate" SkinID="Link" CommandName="Activate" CommandArgument='<%#Eval("SubscriptionId")%>' />
                                        <asp:LinkButton ID="CancelButton" runat="server" visible='<%#((bool)Eval("IsActive"))%>' text="cancel" SkinID="Link" CommandName="Cancel" CommandArgument='<%#Eval("SubscriptionId")%>' OnClientClick='javascript:return confirm("Are you sure you want to cancel this subscription?")' />
                                    </itemtemplate>
                                </asp:TemplateField>
                            </Columns>
                            <EmptyDataTemplate> 
                                <asp:Label ID="EmptyMessage" runat="server" Text="There are no active subscriptions for this plan."></asp:Label>
                            </EmptyDataTemplate>
                        </cb:SortedGridView>
                    </ContentTemplate>
                </ajax:UpdatePanel>
                <br /><asp:HyperLink ID="FinishLink" runat="server" Text="Return to Subscription Plans" NavigateUrl="Default.aspx"></asp:HyperLink>
                <asp:ObjectDataSource ID="SubscriptionDs" runat="server" OldValuesParameterFormatString="original_{0}"
                    SelectMethod="LoadForSubscriptionPlan" UpdateMethod="Update" TypeName="CommerceBuilder.Orders.SubscriptionDataSource" DataObjectTypeName="CommerceBuilder.Orders.Subscription"
                    SortParameterName="sortExpression">
                    <SelectParameters>
                        <asp:QueryStringParameter Name="ProductId" QueryStringField="ProductId" />
                    </SelectParameters>
                </asp:ObjectDataSource>
            </td>
        </tr>
    </table>
</asp:Content>


