using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Text.RegularExpressions;
using CommerceBuilder.Common;
using CommerceBuilder.Catalog;
using CommerceBuilder.Orders;
using CommerceBuilder.Products;
using CommerceBuilder.Stores;
using CommerceBuilder.Users;
using CommerceBuilder.Utility;
using CommerceBuilder.Reporting;
using System.Collections.Generic;
using CommerceBuilder.Search;

public partial class Admin_Store_Maintenance : CommerceBuilder.Web.UI.AbleCommerceAdminPage
{

    protected void Page_Load(object sender, System.EventArgs e)
    {
        if (!Page.IsPostBack)
        {
            Store store = Token.Instance.Store;
            StoreSettingCollection settings = store.Settings;
                    
            
            StoreClosedOptions.DataSource = EnumToDictionary(typeof(StoreClosureType));
            StoreClosedOptions.DataTextField = "Key";
            StoreClosedOptions.DataValueField = "Value";
            StoreClosedOptions.DataBind();
            ListItem option = StoreClosedOptions.Items.FindByValue(((int)settings.StoreFrontClosed).ToString());
            if (option != null) option.Selected = true;
            
            StoreClosedMessage.Text = settings.StoreFrontClosedMessage;
                       
            //USER MAINTENANCE
            if (settings.AnonymousUserLifespan > 0) AnonymousLifespan.Text = settings.AnonymousUserLifespan.ToString();
            if (settings.AnonymousAffiliateUserLifespan > 0) AnonymousAffiliateLifespan.Text = settings.AnonymousAffiliateUserLifespan.ToString();

			//GIFT CERTIFICATE EXPIRY
            GiftCertExpireDays.Text = settings.GiftCertificateDaysToExpire.ToString();
			
            // SHOW REBUILD INDEX ROW IF FTS IS ENABLED FOR STORE
            trRebuildIndex.Visible = Store.GetCachedSettings().FullTextSearch;
        }		

    }

    protected Dictionary<string,int> EnumToDictionary(Type enumType)
    {
        // get the names from the enumeration
        string[] names = Enum.GetNames(enumType);
        // get the values from the enumeration
        Array values = Enum.GetValues(enumType);
        // turn it into a dictionary
        Dictionary<string,int> ht = new Dictionary<string,int>();
        for (int i = 0; i < names.Length; i++)
            // note the cast to integer here is important
            // otherwise we'll just get the enum string back again
			ht.Add(StringHelper.SpaceName(names[i]), (int)values.GetValue(i));
        // return the dictionary to be bound to
        return ht;
    }

    protected void CancelButton_Click(object sender, EventArgs e)
    {
        Response.Redirect("../Default.aspx");
    }

    private void SaveSettings()
    {
        Store store = Token.Instance.Store;
        StoreSettingCollection settings = store.Settings;

        settings.StoreFrontClosed = (StoreClosureType)AlwaysConvert.ToInt(StoreClosedOptions.SelectedValue); 
        settings.StoreFrontClosedMessage = StoreClosedMessage.Text;
        
        //USER MAINTENANCE
        settings.AnonymousUserLifespan = AlwaysConvert.ToInt(AnonymousLifespan.Text);
        settings.AnonymousAffiliateUserLifespan = AlwaysConvert.ToInt(AnonymousAffiliateLifespan.Text);        
        //Gift Certificate Days to Expire
        settings.GiftCertificateDaysToExpire = AlwaysConvert.ToInt(GiftCertExpireDays.Text);
		
		//settings.SubscriptionsDaysBeforeDeleteExpired = AlwaysConvert.ToInt(MaintenanceDays.Text,90);
		
        store.Save();
    }
    
    protected void SaveButton_Click(object sender, EventArgs e)
    {
        SaveSettings();
        SavedMessage.Visible = true;
    }
    
    protected void SaveAndCloseButton_Click(object sender, EventArgs e) {
        SaveSettings();
        Response.Redirect("../Default.aspx");
    }

    protected void RebuildIndexButton_Click(object sender, EventArgs e)
    {
        KeywordSearchHelper.RebuildCatalog();
        RebuildIndexMessage.Visible = true;
    }
}
